#### D.6.2.3 idealsimplify

Procedure from library `arcpoint.lib` (see arcpoint_lib).

Usage:
  idealsimplify(I,m); I ideal, m int

Assume:
  procedure is stable for sufficiently large m

Return:
  ideal defining the same zeroset as I: replace generators of I by the generator modulo other generating elements

Example:

    LIB "arcpoint.lib";
    ring r=0,(x,y,z),dp;
    ideal I = x3,y+z2-x2;
    I;
    ==> I[1]=x3
    ==> I[2]=-x2+z2+y
    idealsimplify(I,10);
    ==> _[1]=x
    ==> _[2]=z2+y

User manual for Singular version 4.4.1, 2025, generated by texi2html.